Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77895 - mtr-gtk is non-functional
Summary: mtr-gtk is non-functional
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mtr
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-14 22:23 UTC by Mike A. Harris
Modified: 2015-03-05 01:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-02-04 15:21:52 UTC


Attachments (Terms of Use)

Description Mike A. Harris 2002-11-14 22:23:06 UTC
Install mtr and mtr-gtk packages, and read the mtr manpage you find out
that there is a gtk version if you do "mtr -g".

Typing mtr -g however just gives you back a command prompt.  No GUI starts,
and nothing happens.


[root@devel root]# mtr -g 66.187.233.254
[root@devel root]#
[root@devel root]# ltrace mtr -g 66.187.233.254
__libc_start_main(0x0804a1f0, 3, 0xbffffb04, 0x08048f10, 0x0804e0b8 <unfinished ...>
socket(2, 3, 255)                                 = 3
setsockopt(3, 0, 3, 0xbffffa54, 4)                = 0
socket(2, 3, 1)                                   = 4
getuid()                                          = 0
setuid(0)                                         = 0
geteuid()                                         = 0
getuid()                                          = 0
getenv("MTR_OPTIONS")                             = NULL
getopt_long(3, 0xbffffb04, "a:hvrc:tgklnsi:p:", 0x080500c0, NULL) = 103
getopt_long(3, 0xbffffb04, "a:hvrc:tgklnsi:p:", 0x080500c0, NULL) = -1
gethostname("devel.capslock.lan", 128)            = 0
gethostbyname("66.187.233.254")                   = 0x4212cb84
gettimeofday(0x08050190, 0, 54272, 0, 0)          = 0
__res_init(0x08050190, 0, 54272, 0, 0)            = 0
__res_state(0x08050190, 0, 54272, 0, 0)           = 0x4212e800
__res_state(0x08050190, 0, 54272, 0, 0)           = 0x4212e800
socket(2, 2, 0)                                   = 5
setsockopt(5, 1, 6, 0xbffffa4c, 4)                = 0
inet_addr("127.0.0.1")                            = 0x0100007f
time(NULL)                                        = 1037313063
time(NULL)                                        = 1037313063
getpid()                                          = 9679
close(3)                                          = 0
close(4)                                          = 0
+++ exited (status 0) +++
[root@devel root]#

Comment 1 Mike A. Harris 2002-11-14 22:23:52 UTC
Oh, BTW, this is 100% reproduceable, ie: not random.

Comment 2 Phil Knirsch 2002-11-29 10:14:47 UTC
hmmm.. As a workaround xmtr seems to work though... Might be something in the
initialization code of mtr.

Will check if the latest upstream version fixes it, otherwise will take a look
at it at some time.

Read ya, Phil

Comment 3 Phil Knirsch 2002-11-29 10:33:59 UTC
Hm... I remember vaguely that i compile 2 versions of mtr, one with and one
without gtk support. This allows you to just install the text only mode of it
for a server installation without dragging in all the X11 cruft stuff (nothing
against X11, mind you ;-), but some people might not want all these packages
installed).

I should change the manpage at some point.

At least the latest version actually prints out a short message saying that mtr
has not builtin gtk support. It might be even better to print out a message
saying use xmtr for graphical client or something similar.

Read ya, Phil

Comment 4 Phil Knirsch 2004-02-04 15:21:52 UTC
OK, closing as wontfix, Mike as the TUI version now prints out that
message. :-)

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.